package com.sun.xml.internal.ws.api.client;

import com.sun.xml.internal.ws.policy.PolicyMap;
import com.sun.istack.internal.Nullable;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLPort;
import com.sun.xml.internal.ws.api.EndpointAddress;
import com.sun.xml.internal.ws.api.BindingID;
import com.sun.istack.internal.NotNull;
import com.sun.xml.internal.ws.api.WSService;
import javax.xml.ws.handler.PortInfo;

public interface WSPortInfo extends PortInfo
{
    @NotNull
    public abstract WSService getOwner();
    
    @NotNull
    public abstract BindingID getBindingId();
    
    @NotNull
    public abstract EndpointAddress getEndpointAddress();
    
    @Nullable
    public abstract WSDLPort getPort();
    
    @Deprecated
    public abstract PolicyMap getPolicyMap();
}
